pkgname=openvpn-update-systemd-resolved
pkgver=1.3.0
pkgrel=3
pkgdesc="OpenVPN systemd-resolved Updater"
arch=("any")
url="https://github.com/jonathanio/update-systemd-resolved"
license=("GPL")
depends=("openvpn" "bash" "iproute2" "systemd>229")
source=("$pkgname-$pkgver.tar.gz::https://github.com/jonathanio/update-systemd-resolved/archive/v${pkgver}.tar.gz"
        'openvpn-update-systemd-resolved.install'
        'openvpn-update-systemd-resolved.rules')
install=$pkgname.install
sha512sums=('75b904502a084e8e8b72098772943ac4b7c0e7bd5dc20e8e9cb23f9372bd0a6ad8cc7ed50066e8599d18ce466ff7b4c48e7ab9e47b74d192caa33aba759c357f'
            '671ea7ce9297f78b9bdfb796f409c10052f01f86982916195b94ee0825adda1b4b0bc103d6c8040691443d7105f867ae0e6c6f1d18ed361b1e09f6515f484891'
            '13ad9fe19144629fdc431f893d3c72011f44ae2864fdfa28c3788fa9426c7f63ce541c37ad34b122676fa73ce85c8e45d1fed5cd0ff7f9eb229f3360c3b22b57')

package() {
  install -D -m644 openvpn-update-systemd-resolved.rules "${pkgdir}/etc/polkit-1/rules.d/00-openvpn-systemd-resolved.rules"

  cd $srcdir/update-systemd-resolved-${pkgver}
  install -D -m755 update-systemd-resolved "${pkgdir}/etc/openvpn/scripts/update-systemd-resolved"
  install -D -m644 update-systemd-resolved.conf "${pkgdir}/etc/openvpn/scripts/update-systemd-resolved.conf"
}

# vim:set ts=2 sw=2 et:
